Package com.xceptance.xlt.api.report.external

# Class PlainDataTableCsvParser

java.lang.Object
com.xceptance.xlt.api.report.external.AbstractLineParser
com.xceptance.xlt.api.report.external.PlainDataTableCsvParser

public class PlainDataTableCsvParser extends AbstractLineParser
Parses a line of a CSV file, extracts the values of interest, and returns them as a `ValueSet`. The value set will not carry a timestamp. Use this parser if you simply want to present the contents of a CSV file as a data table in the load test report.

This parser can be configured in file `externaldataconfig.xml` using the following properties:

- "parser.csv.separator" - the field separator to use (',' by default)

See Also:
  - `SimpleCsvParser`
  - `HeadedCsvParser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainDataTableCsvParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected char`
  `getFieldSeparator()`
  Returns the configured CSV field separator character.
  `protected String`
  `getName(int i)`
  Returns the name of the i-th column.
  `ValueSet`
  `parse(String line)`
  Parse the resource line.

  ### Methods inherited from class com.xceptance.xlt.api.report.external.AbstractLineParser

  `getDateFormat, getProperties, getValueNames, parseTime, setProperties, setValueNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainDataTableCsvParser

    public PlainDataTableCsvParser()

- ## Method Details

  - ### parse

    public ValueSet parse(String line)
    Parse the resource line.
    Specified by:
      `parse` in class `AbstractLineParser`
    Parameters:
      `line` - line to parse
    Returns:
      parsed `ValueSet` or `null` if there is currently nothing to return. This might be in case the line has no value of interest.

  - ### getName

    protected String getName(int i)
    Returns the name of the i-th column.
    Parameters:
      `i` - the column index
    Returns:
      the column's name

  - ### getFieldSeparator

    protected char getFieldSeparator()
    Returns the configured CSV field separator character. By default it is a comma.
    Returns:
      field separator